.msul-navigation-background {
   @include wrap-media-min('md') {
    background: $clr-light-sage;
   }

   background: none;
}

.navbar {
  font-family: $msul-font;
}

.navbar-nav {
  background: $clr-light-sage;
  height: 2.88rem;

  a {
    font-family: $msul-font;
    text-decoration: none;
  }

  .manage-btn {
    color: $clr-charcoal-gray;
    padding: .5rem .5rem;
    margin-bottom: .5rem;
  }

  .active {
    .nav-link {
      background: $clr-light-sage;
    }
  }
}

.msul-navigation {
  align-items: flex-end;
  background-image: linear-gradient(0deg,rgba(24,69,59,0.8),rgba(24,69,59,0.8)), url(https://lib.msu.edu/themes/custom/msul_bootstrap5/images/LibraryHeroImage.jpg);
  background-size: cover;
  background-position: center;
  height: auto;
  position: relative;


}

.msul-mobile-site-name {
  a {
    color: $clr-white;
    text-decoration: none;

    &:hover {
      text-decoration: none;
    }
  }
}

.nav-link {
  color: $clr-charcoal-gray;
  margin-bottom: .5rem;
  margin-right: .5rem;
  padding-top: .5rem !important;
  padding-bottom: 0 !important;
  padding-left: 0 !important;


  &:hover {
    background: none !important;
    border-bottom: .5rem solid $clr-medium-sage !important;
    border-right: .5rem solid  $clr-light-sage !important;
    color: $clr-charcoal-gray;
    margin-bottom: 0;
    margin-right: 0;
    text-decoration: none;
    }

  &:focus {
    background-color: unset !important;
  }

}

.navbar .navbar-toggler-icon {
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='30' height='30' viewBox='0 0 30 30'%3e%3cpath stroke='white' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e");
}

.navbar-header {
  background: none;
  box-shadow: none;

}

#header-navbar {

  .navbar-collapse {
    background-color: $clr-light-sage !important;
    padding-bottom: 2rem;

     @include wrap-media-min('md') {
      padding-bottom: 0;
     }

    ul.navbar-nav {
      display: inline-block;

      @include wrap-media-min('md') {
        display: flex;
      }
    }

    .manage-dropdown-menu {
      border-radius: .5rem;

      @include wrap-media-min('md') {
        border-radius: 0 0 0.25rem 0.25rem;
      }
    }
  }

  .search-query {
    height: 3rem;
  }

}

.navbar-toggler-right {
  background: none !important;
}

.nav-item {
  width: fit-content;
}

.manage-btn {
  background-color: $clr-light-sage !important;
  color:  $clr-charcoal-gray;

  &:hover {
    background-color: $clr-light-sage !important;
    color:  $clr-charcoal-gray !important;
  }
}

.manage-dropdown-menu {
  background-color: $clr-white !important;
  border: 0.2rem solid $clr-light-sage;
  border-radius: 0 0 0.25rem 0.25rem;
  border-top: 0;
  padding-bottom: 1rem !important;
  padding-top: 1rem !important;

  .nav-item {
    margin-left: .3rem;
  }

  .active {
    .nav-link {
      background: $clr-white;
    }
  }
  .nav-link {
    padding-left: .3rem !important;
    padding-right: .3rem !important;
    margin-right: .6rem;

    &:hover {
      background: $clr-parakeet-green !important;
      border-bottom: .5rem solid $clr-parakeet-green !important;
      border-radius: 0.25rem;
      color: $clr-white;
      text-decoration: none;
      border-right: none !important;
    }
  }
}

.facet-field-heading {
  button.collapsed {

    &:after {
      content: '\e5cf';
      font-family: 'Material Icons';
      font-size: 2rem;
    }
  }

  button {

    &:after {
      content: '\e5ce';
      font-family: 'Material Icons';
      font-size: 2rem;
      transform: rotate(0deg);
    }
  }

}

#metadata_header, .nav-wizard {
  .nav-link {

    border: none !important;
    margin-bottom: 0;
    margin-right: 1rem;

    &:hover {
      background: none !important;
      border: none !important;
      margin-right: 1rem;
    }

    &:focus {
      background-color: unset !important;
    }
  }

}
